public class Settings {
    int level;
    int result; 

    byte[] pack() { 
        byte[] record = new byte[3];
        record[0] = (byte)level;
        record[1] = (byte)(result >> 8); 
        record[2] = (byte)result;
        return record;
    }

    void unpack(byte[] record) { 
        level = record[0];
        result = (record[1] << 8) | (record[2] & 0xFF);
    }
    
    static final int LEVELS = 10;

    Settings(byte[] record) { 
        unpack(record);
    }

    Settings() { 
        level = 0;
        result = 0;
    }
}
